Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl.pm.opstatus
Class OperationalStatusAttributeDescriptorImpl

    java.lang.Object
      com.sun.management.oss.impl.pm.opstatus.OperationalStatusAttributeDescriptorImpl

All Implemented Interfaces:
  java.lang.Cloneable, OperationalStatusAttributeDescriptor, java.io.Serializable, SerializerFactory

public class OperationalStatusAttributeDescriptorImpl
extends java.lang.Object
implements OperationalStatusAttributeDescriptor

Title: JSR090 Reference Implementation Description: Copyright: Copyright (c) 2001 Company: Ericsson

Version:
  0.2
Author:
  Andreas Jirven, Anna Eriksson, Ali Feizabadi, Katarina Wahlstr?m, Hooman Tahamtani
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.sun.management.oss.pm.opstatus.OperationalStatusAttributeDescriptor
`CUMULATIVE_COUNTER, DISCRETE_EVENT_REGISTRATION, GAUGE, INTEGER, LONG, STATUS_INSPECTION`

Constructor Summary
`OperationalStatusAttributeDescriptorImpl()`
`OperationalStatusAttributeDescriptorImpl(java.lang.String collectionMethod)`

Method Summary
`java.lang.Object` | `clone()` Deep copy of this instance.
`java.lang.String` | `getCollectionMethod()` Returns the collection method.
`java.lang.String` | `getName()` Returns the performance attribute name.
`java.lang.String[]` | `getSupportedSerializerTypes()` Return all the serializer types than can be created by this factory.
`int` | `getType()` Returns the type of attribute.
`boolean` | `isArray()` Checks if the attribute is an array.
`Serializer` | `makeSerializer(java.lang.String serializerType)` Manufacture a Serializer for the object type inheriting the interface.
`void` | `setCollectionMethod(java.lang.String collectionMethod)` Sets the collection method.
`void` | `setIsArray(boolean isArray)` Sets if the attribute is an array.
`void` | `setName(java.lang.String name)` Sets the performance attribute name.
`void` | `setType(int type)` Sets the type of attribute.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OperationalStatusAttributeDescriptorImpl

    public OperationalStatusAttributeDescriptorImpl(java.lang.String collectionMethod)

### OperationalStatusAttributeDescriptorImpl

    public OperationalStatusAttributeDescriptorImpl()

Method Detail

### clone

    public java.lang.Object clone()

  Description copied from interface: `OperationalStatusAttributeDescriptor`
  Deep copy of this instance.

  Specified by:
    `clone` in interface `OperationalStatusAttributeDescriptor`

### getCollectionMethod

    public java.lang.String getCollectionMethod()

  Description copied from interface: `OperationalStatusAttributeDescriptor`
  Returns the collection method.

  Specified by:
    `getCollectionMethod` in interface `OperationalStatusAttributeDescriptor`
  Returns:
    String Returns the collection method.
  See Also:
    `OperationalStatusAttributeDescriptor.setCollectionMethod(java.lang.String)`

### getName

    public java.lang.String getName()

  Description copied from interface: `OperationalStatusAttributeDescriptor`
  Returns the performance attribute name.

  Specified by:
    `getName` in interface `OperationalStatusAttributeDescriptor`
  Returns:
    String The name of the attribute.
  See Also:
    `OperationalStatusAttributeDescriptor.setName(java.lang.String)`

### getType

    public int getType()

  Description copied from interface: `OperationalStatusAttributeDescriptor`
  Returns the type of attribute.

  Specified by:
    `getType` in interface `OperationalStatusAttributeDescriptor`
  Returns:
    int Returns the id of type.
  See Also:
    `OperationalStatusAttributeDescriptor.setType(int)`

### isArray

    public boolean isArray()

  Description copied from interface: `OperationalStatusAttributeDescriptor`
  Checks if the attribute is an array.

  Specified by:
    `isArray` in interface `OperationalStatusAttributeDescriptor`
  Returns:
    boolean Returns true if the attribute is an array.
  See Also:
    `OperationalStatusAttributeDescriptor.setIsArray(boolean)`

### setName

    public void setName(java.lang.String name)
                 throws java.lang.IllegalArgumentException

  Description copied from interface: `OperationalStatusAttributeDescriptor`
  Sets the performance attribute name.

  Specified by:
    `setName` in interface `OperationalStatusAttributeDescriptor`
  Parameters:
    `name` - The name of the attribute.
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input parameter is invalid.
  See Also:
    `OperationalStatusAttributeDescriptor.getName()`

### setType

    public void setType(int type)
                 throws java.lang.IllegalArgumentException

  Description copied from interface: `OperationalStatusAttributeDescriptor`
  Sets the type of attribute.

  Valid values are:

  - `OperationalStatusAttributeDescriptor.INTEGER`
  - `OperationalStatusAttributeDescriptor.REAL`
  - `OperationalStatusAttributeDescriptor.STRING`

  Specified by:
    `setType` in interface `OperationalStatusAttributeDescriptor`
  Parameters:
    `type` - The id of type.
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input parameter is invalid.
  See Also:
    `OperationalStatusAttributeDescriptor.getType()`

### setCollectionMethod

    public void setCollectionMethod(java.lang.String collectionMethod)
                             throws java.lang.IllegalArgumentException

  Description copied from interface: `OperationalStatusAttributeDescriptor`
  Sets the collection method.

  Valid values are:

  - `OperationalStatusAttributeDescriptor.CUMULATIVE_COUNTER`
  - `OperationalStatusAttributeDescriptor.GAUGE`
  - `OperationalStatusAttributeDescriptor.DISCRETE_EVENT_REGISTRATION`
  - `OperationalStatusAttributeDescriptor.STATUS_INSPECTION`

  Specified by:
    `setCollectionMethod` in interface `OperationalStatusAttributeDescriptor`
  Parameters:
    `collectionMethod` - The id of collection method.
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input parameter is invalid.
  See Also:
    `OperationalStatusAttributeDescriptor.getCollectionMethod()`

### setIsArray

    public void setIsArray(boolean isArray)

  Description copied from interface: `OperationalStatusAttributeDescriptor`
  Sets if the attribute is an array.

  Specified by:
    `setIsArray` in interface `OperationalStatusAttributeDescriptor`
  Parameters:
    `isArray` - Is true if the attribute is an array..
  See Also:
    `OperationalStatusAttributeDescriptor.isArray()`

### getSupportedSerializerTypes

    public java.lang.String[] getSupportedSerializerTypes()

  Description copied from interface: `SerializerFactory`
  Return all the serializer types than can be created by this factory. This may return an empty array, in case no serializer is implemented.

  Specified by:
    `getSupportedSerializerTypes` in interface `SerializerFactory`
  Returns:
    an array of supported serializer types.

### makeSerializer

    public Serializer makeSerializer(java.lang.String serializerType)
                              throws java.lang.IllegalArgumentException

  Description copied from interface: `SerializerFactory`
  Manufacture a Serializer for the object type inheriting the interface.

  Specified by:
    `makeSerializer` in interface `SerializerFactory`
  Parameters:
    `serializerType` - the class name of the serializer interface that must be created. For example `XmlSerializer.getClass().getName()`
  Returns:
    a serializer matching the serializer type .
  Throws:
    `java.lang.IllegalArgumentException` - if no serializer can be created matching the provided Serializer Type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD